close all
clear all
clc

% sistema orig:
a=1.44;
b=[1 0 -a];
a=1;
figure(1); set(gcf,'Position',[31    53   963   638])
zplane(b,a)
w=-pi:2*pi/2048:pi;
[H,w]=freqz(b,a,w);

% sistema modificado

bfm=fliplr(b);
figure(2); set(gcf,'Position',[31    53   963   638])
zplane(-bfm,a)
[Hfm,w]=freqz(-bfm,a,w);

figure(3); set(gcf,'Position',[31    53   963   638])
plot(w./pi,abs(H),'linewidth',4); hold on
plot(w./pi,abs(Hfm),'r','linewidth',1.7)
set(gca,'fontsize',16)
xlabel('$\omega \; (\times \pi)$ (rad/amostra) ','interpreter','latex')
ylabel('$|{H}(e^{j\omega})|,\;|{H_\textrm{fm}}(e^{j\omega})|$','interpreter','latex')
legend('Fase No-Mnima','Fase Mnima')

figure(4); set(gcf,'Position',[31    53   963   638])
plot(w./pi,phase(H),w./pi,phase(Hfm),'linewidth',2)
set(gca,'fontsize',16)
xlabel('$\omega \; (\times \pi)$ (rad/amostra) ','interpreter','latex')
ylabel('$\angle{H}(e^{j\omega}),\;{\angle H_\textrm{fm}}(e^{j\omega})$','interpreter','latex')
legend('Fase No-Mnima','Fase Mnima')

figure(5); set(gcf,'Position',[31    53   963   638])
plot(w./pi,angle(H),w./pi,angle(Hfm),'linewidth',2)
set(gca,'fontsize',16)
xlabel('$\omega \; (\times \pi)$ (rad/amostra) ','interpreter','latex')
ylabel('$\angle{H}(e^{j\omega}),\;{\angle H_\textrm{fm}}(e^{j\omega})$','interpreter','latex')
legend('Fase No-Mnima','Fase Mnima')


